Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415557 - Do not alert if cephx is not set in ceph.conf
Summary: Do not alert if cephx is not set in ceph.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 2.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 3.0
Assignee: Jason Dillaman
QA Contact: Parikshith
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 04:26 UTC by Shinobu KINJO
Modified: 2017-12-05 23:32 UTC (History)
3 users (show)

Fixed In Version: RHEL: ceph-12.1.2-1.el7cp Ubuntu: ceph_12.1.2-2redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-05 23:32:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 19035 0 None None None 2017-02-22 15:43:03 UTC
Red Hat Product Errata RHBA-2017:3387 0 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Shinobu KINJO 2017-01-23 04:26:59 UTC
# ************************
# *Description of problem:
# ************************
Even auth_cluster/_service/_client_required in ceph.conf is set to *none*, there is an alert when you map images in RBD pool to localhost:

 # rbd map -p rbd test
 2017-01-23 11:47:49.458350 7ff1cd1c1d80 -1 auth: unable to find a keyring on /etc/ceph/ceph.client.admin.keyring,/etc/ceph/ceph.keyring,/etc/ceph/keyring,/etc/ceph/keyring.bin: (2) No such file or directory

 # grep auth_ /etc/ceph/ceph.conf
 auth_cluster_required = none
 auth_service_required = none
 auth_client_required = none

If RBD should not allow any hosts to map any images inside RBD pool in RADOS cluster, that message does make sense.

But images are able to be mapped to localhost:

 # lsblk | grep rbd
 rbd0                        252:0    0   100M  0 disk

Version-Release number of selected component (if applicable):

 * ceph-common-10.2.3-17.el7cp.x86_64

Comment 8 errata-xmlrpc 2017-12-05 23:32:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.